\begin{frame}
    \frametitle{\insertsubsection}
    \begin{block}{Tutorials und Beispiele}
    \begin{itemize}
        \item \url{www.learncpp.com}
        \item \url{www.cplusplus.com}
        \item \url{www.programmingsimplified.com}
    \end{itemize}
    \end{block}
    \begin{block}
    {Übung}
    \begin{itemize}
    	\item \url{www.codingame.com}
    	\item \url{www.projecteuler.net}
    \end{itemize}
    \end{block}
    \begin{block}
    {Übersicht über die Sprache \code{C++}}
    	\begin{itemize}
    		\item \url{person.dibris.unige.it/moggi-eugenio/PG1-13/Cpp_reference.pdf}
    		\item \url{cppreference.com}
    	\end{itemize}
    \end{block}
\end{frame}

\nocitebasic{kirch2015c++}
\nocitebasic{stroustrupTourPP}

\nociteadv{stroustrupCpp}
\nociteadv{stroustrupPrinciples}

\bibliographystylebasic{plain}
\bibliographystyleadv{plain}

\begin{frame}
    \frametitle{\insertsubsection}
    \begin{block}{Bücher -- Einstieg}
    \bibliographybasic{basic}
    \end{block}
\end{frame}

\begin{frame}
    \frametitle{\insertsubsection}
    \begin{block}{Bücher -- Fortgeschritten}
    \bibliographyadv{adv}
    \end{block}
\end{frame}

